Bug 994377 - [virtio-win][vioscsi]virtio-win-prewhql-66 scsi driver could not be installed on all platform
[virtio-win][vioscsi]virtio-win-prewhql-66 scsi driver could not be installed...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.5
Unspecified Unspecified
high Severity urgent
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 03:08 EDT by guo jiang
Modified: 2014-07-11 02:21 EDT (History)
11 users (show)

See Also:
Fixed In Version: virtio-win-prewhql-0.1-71
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-01 11:35:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description guo jiang 2013-08-07 03:08:05 EDT
Created attachment 783697 [details]
scsi-win7-64-screenshot

Description of problem:
Bulid-66 vitio-scsi driver could not be installed in win7-64 guest on rhel6.4 host. screen-shot attached.

Version-Release number of selected component (if applicable):
    * Red Hat Enterprise Linux Server release 6.4 (Santiago)
    * kernel-2.6.32-396.el6.x86_64   
    * qemu-img-rhev-0.12.1.2-2.378.el6.x86_64
    * virtio-win-prewhql-0.1-66
    * seabios-0.6.1.2-28.el6.x86_64
    * vgabios-0.6b-3.7.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1.Boot guest with CLI:
/usr/libexec/qemu-kvm -M rhel6.4.0 -m 2G -smp 2,cores=2 -cpu cpu64-rhel6,+x2apic -usb -device usb-tablet -netdev tap,sndbuf=0,id=hostnet0,script=/etc/qemu-ifup,downscript=no -device e1000,netdev=hostnet0,mac=00:23:43:a1:12:30 -uuid a56ba337-e416-4be5-b4da-ddd2ea94b2fb -chardev socket,id=111a,path=/tmp/monitor-win7-64-scsi,server,nowait -mon chardev=111a,mode=readline -name win7-64-scsi -vnc :1 -vga cirrus -rtc-td-hack -rtc base=localtime,clock=host,driftfix=slew -no-kvm-pit-reinjection -chardev socket,id=seabios_debug,path=/tmp/monitor-seabios,server,nowait -device isa-debugcon,iobase=0x402,chardev=seabios_debug -drive file=win7-64.raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -drive file=scsi-disk1.qcow2,if=none,media=disk,format=qcow2,rerror=stop,werror=stop,cache=none,aio=native,id=scsi-disk1 -device virtio-scsi-pci,id=bus1,bus=pci.0,addr=0x5 -device scsi-hd,bus=bus1.0,drive=scsi-disk1,id=scsi1,serial=test -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -monitor stdio

2.install virtio-scsi driver

3.

Actual results:
could not be installed.

Expected results:
could be installed successfully.


Additional info:
This is a regression, virtio-win-prewhql-65 not hit this issue.
Comment 2 Vadim Rozenfeld 2013-08-07 03:31:49 EDT
Does it stuck or crash?

can you please try with cpu "family=0xe" ?

Thank you,
Vadim.
Comment 4 guo jiang 2013-08-07 04:47:49 EDT
(In reply to Vadim Rozenfeld from comment #2)
> Does it stuck or crash?
> 
> can you please try with cpu "family=0xe" ?
> 
> Thank you,
> Vadim.

Vadim,

QE restested with cpu "cpu64-rhel6,+x2apic,family=0xe" and hit again, win2k8-R2(64bit) hit the same issue, but virtio-scsi driver could be successfully installed in win2k8-32 guest. 

Best regards,
Jiang
Comment 5 Vadim Rozenfeld 2013-08-07 05:05:44 EDT
Hi Jiang,
Does it that it fails on 64-bit platforms
only?
Do you get any error messages?

Thanks,
Vadim.
Comment 6 guo jiang 2013-08-07 06:07:39 EDT
Hi Vadim,
 
  Yes, win2k8-64,win7-64,win2k8-R2(64bit) failed, and win2k8-32,win7-32 did not hit. 
  It will wait a long time to report screen-shot error. 
  win7-64: could't reboot. 
  win2k8-R2: could reboot, the state of virtio-scsi is "installed" but could not be uninstalled. 
  that's all, thank you. 

Jiang
Comment 7 Vadim Rozenfeld 2013-08-07 06:53:56 EDT
(In reply to guo jiang from comment #6)
> Hi Vadim,
>  
>   Yes, win2k8-64,win7-64,win2k8-R2(64bit) failed, and win2k8-32,win7-32 did
> not hit. 
>   It will wait a long time to report screen-shot error. 
>   win7-64: could't reboot. 
>   win2k8-R2: could reboot, the state of virtio-scsi is "installed" but could
> not be uninstalled. 
>   that's all, thank you. 
> 
> Jiang

Thanks, will check it shortly.
Best regards,
Vadim.
Comment 8 lijin 2013-09-04 02:04:34 EDT
win8-64 hit the same issue with build 68 on rhel6 host
But same guest can install the scsi driver correctly on rhel7 host.

rhel6 host info:
Red Hat Enterprise Linux Server release 6.5 Beta (Santiago)
qemu-kvm-rhev-0.12.1.2-2.398.el6.x86_64
kernel-2.6.32-416.el6.x86_64
seabios-0.6.1.2-28.el6.x86_64

rhel 7 host info:
Red Hat Enterprise Linux Server release 7.0 Beta (Maipo)
qemu-kvm-1.5.2-3.el7.x86_64
kernel-3.10.0-9.el7.x86_64
seabios-1.7.2-1.el7.x86_64
Comment 9 guo jiang 2013-09-09 04:47:02 EDT
Almost all platform hit the same issue with build 69.

other package info:
 kernel-2.6.32-414.el6.x86_64    
 qemu-kvm-rhev-0.12.1.2-2.397.el6.x86_64
 spice-server-0.12.4-2.el6.x86_64
 seabios-0.6.1.2-28.el6.x86_64
 vgabios-0.6b-3.7.el6.noarch
Comment 10 guo jiang 2013-09-09 04:57:33 EDT
(In reply to guo jiang from comment #9)
> Almost all platform hit the same issue with build 69.
  QE test on win7-32/64,win2012,win8-32, all hit this issue.
Comment 11 Mike Cao 2013-09-24 09:05:47 EDT
Verified this issue on virtio-win-prewhql-71 with win2012

steps same as comment #0 

Actual Results:
Driver can be installed successfully
Comment 12 guo jiang 2013-10-08 02:40:34 EDT
Verified this issue with build 71 winth win8-64

Package version:
  kernel-2.6.32-420.el6.x86_64
  qemu-kvm-rhev-0.12.1.2-2.404.el6.x86_64
  virtio-win-prewhql-0.1.71
  spice-server-0.12.4-3.el6.x86_64  
  seabios-0.6.1.2-28.el6.x86_64
  vgabios-0.6b-3.7.el6.noarch

Actual result:
Driver could be installed successfully.

Based on the above, this issue has been fixed already.
Comment 13 Mike Cao 2013-10-08 03:10:01 EDT
Move status to VERIFIED according to comment #12

Note You need to log in before you can comment on or make changes to this bug.